package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 日志审计表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_audit_log")
public class SysAuditLog extends Model<SysAuditLog> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 用户名称
     */
    @TableField("username_")
    private String username;
    /**
     * 操作名称
     */
    @TableField("operate_name_")
    private String operateName;
    /**
     * 接口地址
     */
    @TableField("interface_url_")
    private String interfaceUrl;
    /**
     * 输入参数
     */
    @TableField("input_params_")
    private String inputParams;
    /**
     * 操作时间
     */
    @TableField("operate_time_")
    private Date operateTime;
    /**
     * 用户IP
     */
    @TableField("user_ip_")
    private String userIp;


    public Long getId() {
        return id;
    }

    public SysAuditLog setId(Long id) {
        this.id = id;
        return this;
    }

    public String getUsername() {
        return username;
    }

    public SysAuditLog setUsername(String username) {
        this.username = username;
        return this;
    }

    public String getOperateName() {
        return operateName;
    }

    public SysAuditLog setOperateName(String operateName) {
        this.operateName = operateName;
        return this;
    }

    public String getInterfaceUrl() {
        return interfaceUrl;
    }

    public SysAuditLog setInterfaceUrl(String interfaceUrl) {
        this.interfaceUrl = interfaceUrl;
        return this;
    }

    public String getInputParams() {
        return inputParams;
    }

    public SysAuditLog setInputParams(String inputParams) {
        this.inputParams = inputParams;
        return this;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public SysAuditLog setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
        return this;
    }

    public String getUserIp() {
        return userIp;
    }

    public SysAuditLog setUserIp(String userIp) {
        this.userIp = userIp;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysAuditLog{" +
        ", id=" + id +
        ", username=" + username +
        ", operateName=" + operateName +
        ", interfaceUrl=" + interfaceUrl +
        ", inputParams=" + inputParams +
        ", operateTime=" + operateTime +
        ", userIp=" + userIp +
        "}";
    }
}
